org.apache.lucene.codecs.uniformsplit

## Interface BlockDecoder

    public interface BlockDecoder

Decodes the raw bytes of a block when the index is read, according to the `BlockEncoder` used during the writing of the index.

For example, implementations may decompress or decrypt.

See Also:
  `BlockEncoder`
WARNING: This API is experimental and might change in incompatible ways in the next release.

### Method Summary

All Methods Instance Methods Abstract Methods
`BytesRef` `decode(DataInput blockBytes, long length)` Decodes all the bytes of one block in a single operation.

### Method Detail

#### decode

    BytesRef decode(DataInput blockBytes,
                    long length)
             throws IOException

Decodes all the bytes of one block in a single operation. The decoding is per block.

Parameters:
  `blockBytes` - The input block bytes to read.
  `length` - The number of bytes to read from the input.
Returns:
  The decoded block bytes.
Throws:
  `IOException` - If a decoding error occurs.